
/*
 *  TMPFILE.C
 *
 *  $Header: Beta:src/uucp/src/lib/RCS/tmpfile.c,v 1.1 90/02/02 12:08:29 dillon Exp Locker: dillon $
 *
 *  (C) Copyright 1989-1990 by Matthew Dillon,  All Rights Reserved.
 *
 *  create a temporary file
 *
 *  template limited to 16 chars
 */

#include <stdio.h>
#include "config.h"

Prototype char *TmpFileName(const char *);

char *
TmpFileName(template)
const char *template;
{
    static char Template[256];
    static unsigned short Idx;

    sprintf(Template, "%s-%08lx.TMP", template, (long)FindTask(NULL) + Idx++);
    return(Template);
}

