
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "version.h"

extern int NumRows;
extern int NumCols;

/* anews.c */
extern void initgroups(void);
extern int main(int argc, char **argv);
extern char *Get_Env(char *envar, char *def);
extern void init(void);
extern char *subs(char *newsfile);
extern void do_quit(void);
extern void do_help(char **pp);
extern char *art2file(char *group, char *art);
extern int readgroup(char *group);
extern void scr_inverse_on(void);
extern void scr_inverse_off(void);
extern int rawch(void);

/* showart.c */
extern void scan_subjects(char *group);
extern int showart(char *group, char *article);

/* reply.c */
extern struct hdrinfo *openhdr(FILE *fp);
extern void closehdr(struct hdrinfo *hdr);
extern void reply(int, FILE *, const char *);

/* mscan.c */
extern void free_directory(int);
extern int scan_directory(char *dir);
extern char *first_unread(void);
extern int unread_count(void);
extern char *goto_article(char *name);
extern char *get_next_art(void);
extern char *get_prev_art(void);
extern void rewind_arts(void);
extern void mark_cur_art(int flag);
extern void del_cur_art(int flag);
extern void hold_cur_art(void);

/* manx.c */
extern int raw(FILE *f);
extern int cooked(FILE *f);

